{"openapi":"3.1.0","info":{"title":"GET /api/v1/time-entries/billable-expenses","version":"1.0.0","description":"List billable expenses"},"servers":[{"url":"https://api.ondayzero.com","description":"Production"}],"paths":{"/api/v1/time-entries/billable-expenses":{"get":{"tags":["time-entries"],"summary":"List billable expenses","description":"Vendor bill costs available to on-bill to a customer invoice.","operationId":"list_billable_expenses_api_v1_time_entries_billable_expenses_get","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}},{"name":"x-business-id","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Business-Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessEnvelope_BillableExpensesListResponse_"}}}},"401":{"description":"Unauthorized - Authentication required","content":{"application/json":{"example":{"detail":"Not authenticated"}}}},"403":{"description":"Forbidden - Insufficient permissions","content":{"application/json":{"example":{"detail":"Not enough permissions"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"BillableExpenseResponse":{"properties":{"id":{"type":"string","title":"Id"},"source_model":{"type":"string","title":"Source Model"},"source_id":{"type":"string","title":"Source Id"},"bill_number":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Bill Number"},"vendor_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Vendor Id"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Description"},"amount":{"type":"integer","title":"Amount","description":"Billable amount in cents.","default":0}},"type":"object","required":["id","source_model","source_id"],"title":"BillableExpenseResponse","description":"A vendor bill cost available to on-bill to a customer invoice."},"BillableExpensesListResponse":{"properties":{"items":{"items":{"$ref":"#/components/schemas/BillableExpenseResponse"},"type":"array","title":"Items"}},"type":"object","required":["items"],"title":"BillableExpensesListResponse"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"SuccessEnvelope_BillableExpensesListResponse_":{"properties":{"success":{"type":"boolean","title":"Success","default":true},"message":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Message"},"code":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Code"},"data":{"anyOf":[{"$ref":"#/components/schemas/BillableExpensesListResponse"},{"type":"null"}]}},"additionalProperties":true,"type":"object","title":"SuccessEnvelope[BillableExpensesListResponse]"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"},"input":{"title":"Input"},"ctx":{"type":"object","title":"Context"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}},"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"API Token","description":"API token authentication. Format: `Bearer dz_...`"}}},"security":[{"BearerAuth":[]}]}